
class builder::config {
  file { "/home/builder/.ssh":
    path    => "/home/builder/.ssh",
    ensure  => directory,
    mode    => 700,
    owner   => builder,
    group   => builder
  }
  file { "/home/builder/.ssh/id_rsa":
    owner  => builder,
    group  => builder,
    mode   => 600,
    source => "puppet:///modules/builder/ssh/id_rsa"
  }
  file { "/home/builder/.ssh/authorized_keys":
    owner  => builder,
    group  => builder,
    mode   => 644,
    source => "puppet:///modules/builder/ssh/authorized_keys"
  }
  file { "/home/builder/.bashrc":
    owner  => builder,
    group  => builder,
    mode   => 644,
    source => "puppet:///modules/common/home/bashrc"
  }
  file { "/home/builder/.bash_aliases":
    owner  => builder,
    group  => builder,
    mode   => 644,
    source => "puppet:///modules/common/home/bash_aliases"
  }
  file { "/etc/apt/sources.list.d/xivo.list":
    owner  => root,
    group  => root,
    mode   => 644,
    source => "puppet:///modules/common/apt/xivo.list"
  }
}
