
class jenkins::config {
  file { "/var/lib/jenkins/.ssh":
    path   => "/var/lib/jenkins/.ssh",
    ensure => directory,
    mode   => 700,
    owner  => jenkins,
    group  => nogroup
  }

  file { "/var/lib/jenkins/.ssh/id_rsa":
    owner  => jenkins,
    group  => nogroup,
    mode   => 600,
    source => "puppet:///modules/jenkins/ssh/id_rsa"
  }

  file { "/var/lib/jenkins/.ssh/config":
    owner  => jenkins,
    group  => nogroup,
    mode   => 644,
    source => "puppet:///modules/jenkins/ssh/config"
  }

  file { "/var/lib/jenkins/.bashrc":
    owner  => jenkins,
    group  => nogroup,
    mode   => 644,
    source => "puppet:///modules/common/home/bashrc"
  }

  file { "/var/lib/jenkins/.bash_aliases":
    owner  => jenkins,
    group  => nogroup,
    mode   => 644,
    source => "puppet:///modules/common/home/bash_aliases"
  }

  file { "/tmp/jenkins-configure":
    owner  => 'root',
    group  => 'root',
    mode   => '0755',
    source => "puppet:///modules/jenkins/scripts/configure"
  }
}