
class jenkins::install {
  exec { 'jenkins-configure-exec':
    require => File['/tmp/jenkins-configure'],
    command => '/tmp/jenkins-configure'
  }

  package { jenkins:
    ensure => installed,
    notify => Exec['jenkins-configure-exec']
  }

  include apache

  apache::vhost { 'jenkins':
    docroot       => '/var/www',
    default_vhost => true,
    proxy_pass    => {
      'path' => '/',
      'url'  => 'http://localhost:8080/'
    }
    ,
    serveradmin   => 'dev@avencall.com',
    servername    => 'jenkins.xivo.fr',
    port          => '80'
  }
}