
class pip {

	$pip_program = $operatingsystem ? {
		/(Ubuntu|Debian)/ => '/usr/bin/pip',
		/(Fedora|CentOS)/ => '/usr/bin/pip-python',
	}

	@package {
		'python-virtualenv':
			ensure => present,
			tag => 'pip';
		'python-pip':
			ensure => present,
			tag => 'pip';
	}

	case $operatingsystem {
		/(Ubuntu|Debian)/: {
			@package {
				'python-dev':
					ensure => present,
					tag => 'pip';
			}
		}
		/(Fedora|CentOS)/: {
			@package {
				'python-devel':
					ensure => present,
					tag => 'pip';
			}
		}
	}

	define install($version = undef, $ensure) {
		case $ensure {
			present: {
				exec { "pip-install-$name-$version":
					command => "/usr/bin/pip install $name",
					timeout => "-1",
				}
			}
		}
	}

}
